## org.jdesktop.animation.timing
Enum Animator.EndBehavior

    java.lang.Object
      java.lang.Enum<Animator.EndBehavior>
          org.jdesktop.animation.timing.Animator.EndBehavior

All Implemented Interfaces:
  Serializable, Comparable<Animator.EndBehavior>

Enclosing class:
  Animator

    public static enum Animator.EndBehavior

extends Enum<Animator.EndBehavior>

EndBehavior determines what happens at the end of the animation.

See Also:
  `Animator.setEndBehavior(org.jdesktop.animation.timing.Animator.EndBehavior)`

Enum Constant Summary
`HOLD` Timing sequence will maintain its final value at the end
`RESET` Timing sequence should reset to the initial value at the end

Method Summary
`static Animator.EndBehavior` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Animator.EndBehavior[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HOLD

    public static final Animator.EndBehavior HOLD

  Timing sequence will maintain its final value at the end

### RESET

    public static final Animator.EndBehavior RESET

  Timing sequence should reset to the initial value at the end

Method Detail

### values

    public static Animator.EndBehavior[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Animator.EndBehavior c : Animator.EndBehavior.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Animator.EndBehavior valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null